import influxframework


def execute():
	providers = influxframework.get_all("Social Login Key")

	for provider in providers:
		doc = influxframework.get_doc("Social Login Key", provider)
		doc.set_icon()
		doc.save()
